#include "ListBoxControl.h"
#include "EEngineFrameWork.h"


CListBoxControl::CListBoxControl( int aIdx, LPCWSTR aName, int aX, int aY, int aWidth, int aHeight, DWORD aStyle )
{
	EEngineFrameWork* FrameWork = EEngineFrameWork::GetSingletonPtr();

	m_hWnd		= CreateWindow( L"listbox", aName, aStyle, aX, aY, aWidth, aHeight, FrameWork->m_hWnd, (HMENU)aIdx, FrameWork->m_hInst, NULL );
	m_nIdx		= aIdx;
	m_strText	= aName;
	m_nPosX		= aX;
	m_nPosY		= aY;
	m_nWidth	= aWidth;
	m_nHeight	= aHeight;
}


CListBoxControl::~CListBoxControl(void)
{
}
